summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorDirk von Suchodoletz2009-07-19 14:34:14 +0200
committerDirk von Suchodoletz2009-07-19 14:34:14 +0200
commit77178c0e39b8abd928296ec9985f13bc22b54ca7 (patch)
tree2acd6ff93389085d35164c8d79480dda0522cedc /tools
parentInstalling uclibc-wrapper into vendor os (to have it available in stage4). (diff)
downloadcore-77178c0e39b8abd928296ec9985f13bc22b54ca7.tar.gz
core-77178c0e39b8abd928296ec9985f13bc22b54ca7.tar.xz
core-77178c0e39b8abd928296ec9985f13bc22b54ca7.zip
Modified uclibc-wrapper to be used in stage4 too (see r3017).
git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@3018 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'tools')
-rwxr-xr-xtools/uclibc-wrapper24
1 files changed, 20 insertions, 4 deletions
diff --git a/tools/uclibc-wrapper b/tools/uclibc-wrapper
index 3ee177c7..572bdb6c 100755
--- a/tools/uclibc-wrapper
+++ b/tools/uclibc-wrapper
@@ -1,14 +1,30 @@
-#!/bin/bash
+#!/bin/sh
+# Copyright (c) 2008..2009 - OpenSLX GmbH
+#
+# This program is free software distributed under the GPL version 2.
+# See http://openslx.org/COPYING
+#
+# If you have any feedback please consult http://openslx.org/feedback and
+# send your feedback to feedback@openslx.org
+#
+# General information about OpenSLX can be found under http://openslx.org
+#
+# Wrapper script for OpenSLX environments used with server and client stage4
SLX_PATH=/opt/openslx/share
SLX_UCLIB_PATH=$SLX_PATH/uclib-rootfs
-if [ -f $SLX_PATH ]; then
- echo "Can't find OpenSLX Installation.." && exit 1
+if [ -f /opt/openslx/share/uclib-rootfs ]; then
+ SLX_UCLIB_PATH=/opt/openslx/share/uclib-rootfs
+elif [ -f /opt/openslx/uclib-rootfs ]; then
+ SLX_UCLIB_PATH=/opt/openslx/uclib-rootfs
+else
+ echo "Can't find OpenSLX Environment." && exit 1
fi
[ -f /lib/ld-uClibc.so.0 ] && ln -sf $SLX_PATH/uclib-rootfs/lib/ld-uClibc.so.0
-PATH=$SLX_UCLIB_PATH/bin:$SLX_UCLIB_PATH/usr/bin:$SLX_UCLIB_PATH/sbin:$SLX_UCLIB_PATH/usr/sbin
+PATH=$SLX_UCLIB_PATH/bin:$SLX_UCLIB_PATH/usr/bin:$SLX_UCLIB_PATH/sbin:\
+$SLX_UCLIB_PATH/usr/sbin
LD_LIBRARY_PATH=$SLX_UCLIB_PATH/lib:$SLX_UCLIB_PATH/usr/lib
LD_LIBRARY_PATH=$LD_LIBRARY_PATH PATH=$PATH PS1="#" $@